<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">    
    <h:head>
        <title>Tráfico Libre</title>
        <link rel="stylesheet" type="text/css" href="../../carpetagacss/estilos.css"></link>
        <link rel="icon" href="../../imagenes/logo.ico"></link>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    </h:head>
    <h:body>

        <header>
            <ui:include src="../menu/CabeceraMenu.xhtml" />
        </header>

        <center>
            <table>
                <tr>
                    <td colspan="4">
                        <div class="advertencia">
                            <h:form id="empleadosForm">
                                <p:growl id="messages" showDetail="true" />
                                <p:panelGrid id="panelVehiculos" columns="6">
                                <f:facet name="header">REGISTRAR NUEVO EMPLEADO</f:facet>
                                    <h:outputText value="TIPO DOCUMENTO:" style="width: 150px"/>
                                    <p:selectOneMenu value="#{empleadosBean.nuevoEmpleado.tipodocumento}" style="width: 150px">
                                        <f:selectItem itemLabel="Seleccione Tipo Documento"/>
                                        <f:selectItems value="#{empleadosBean.listadoTiposDocumento}"/>
                                    </p:selectOneMenu>
                                    <h:outputText value="NRO DOCUMENTO" style="width: 150px"/>
                                    <p:inputText value="#{empleadosBean.nuevoEmpleado.nrodocumento}" style="width: 150px"/>
                                    <h:outputText value="NOMBRE EMPLEADO" style="width: 150px"/>
                                    <p:inputText value="#{empleadosBean.nuevoEmpleado.nombre}" style="width: 150px"/>
                                    
                                    <h:outputText value="DIRECCIÓN" style="width: 150px"/>
                                    <p:inputText value="#{empleadosBean.nuevoEmpleado.direccion}" style="width: 150px"/>
                                    <h:outputText value="TELÉFONO:" style="width: 150px"/>
                                    <p:inputText value="#{empleadosBean.nuevoEmpleado.telefono}" style="width: 150px"/>
                                    <h:outputText value="CORREO:" style="width: 150px"/>
                                    <p:inputText value="#{empleadosBean.nuevoEmpleado.correo}" style="width: 150px"/>
                                    
                                    <h:outputText value="FECHA NACIMIENTO:" style="width: 150px"/>
                                    <p:calendar  value="#{empleadosBean.nuevoEmpleado.fechanacimiento}"
                                                 locale="es"/>
                                    <h:outputText value="ROL:" style="width: 150px"/>
                                    <p:selectOneMenu value="#{empleadosBean.rolSeleccionado}" style="width: 150px">
                                        <f:selectItem itemLabel="Seleccione Rol"/>
                                        <f:selectItems value="#{empleadosBean.listaRoles}"/>
                                    </p:selectOneMenu>
                                    <h:outputText value="CONTRASEÑA:" style="width: 150px"/>
                                    <p:password value="#{empleadosBean.nuevoEmpleado.contrasenia}" style="width: 150px"/>
                                    
                                    <p:commandButton id="botonGuardar" value="Guardar" class="botonbuscador" 
                                                     action="#{empleadosBean.registrarEmpleado()}" update="messages, empleadosForm, tablaEmpleados"/>
                                    <p:commandButton type="reset" value="Borrar" class="botonbuscador" style="width: 150px"/>
                                </p:panelGrid>
                                <br></br>
                                <p:scrollPanel style="width:900px;height:200px">
                                    <p:dataTable id="tablaEmpleados" var="empleado" value="#{empleadosBean.listaEmpleados}">
                                        <p:column headerText="Nombre">
                                            <h:outputText value="#{empleado.nombre}"/>
                                        </p:column>     
                                        <p:column headerText="Nro Documento">
                                            <h:outputText value="#{empleado.nrodocumento}"/>
                                        </p:column>    
                                        <p:column headerText="Dirección">
                                            <h:outputText value="#{empleado.direccion}"/>
                                        </p:column>    
                                        <p:column headerText="Teléfono">
                                            <h:outputText value="#{empleado.telefono}"/>
                                        </p:column>    
                                        <p:column headerText="Correo">
                                            <h:outputText value="#{empleado.correo}"/>
                                        </p:column>
                                    </p:dataTable>
                                </p:scrollPanel>
                            </h:form>
                        </div>
                    </td>
                </tr>
            </table>
        </center>           
        <footer>
            <a target="_blank" href="http://www.facebook.com"><img src="../../imagenes/Facebook.png" class="redsocial"></img></a>

            <a target="_blank" href="http://www.instagram.com"><img src="../../imagenes/Instagram.png" class="redsocial"></img></a>

            <a target="_blank" href="http://www.twitter.com"><img src="../../imagenes/Twitter.png" class="redsocial"></img></a>
            | Copyright 2014-2019 Tráfico Libre - <a href="#" class="privacidad">Privacidad-condiciones</a>
        </footer> 

    </h:body>
</html>

